> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paxos.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Order Book

> Retrieves the full list of bids and asks of the order book at individual price levels with resting quantities per level.

<Danger title="This endpoint has been deprecated">
  Due to the deprecation of itBit, customers should migrate to the [Order Routing WebSockets](/api-reference/websockets/smart-order-routing-overview) for market data.
</Danger>


## OpenAPI

````yaml get /markets/{market}/order-book
openapi: 3.0.0
info:
  title: Paxos API
  version: '2.0'
  description: >
    <p>Welcome to Paxos APIs. At Paxos, our mission is to enable the movement of
    any asset, any time, in a trustworthy way. These APIs serve that mission by
    making it easier than ever for you to directly integrate our product
    capabilities into your application, leveraging the speed, stability, and
    security of the Paxos platform.</p> <p>The documentation that follows gives
    you access to our Crypto Brokerage, Trading, and Exchange products. It
    includes APIs for market data, orders, and the held rate quote flow.</p>
    <p>To test in our sandbox environment, <a
    href="https://account.sandbox.paxos.com" target="_blank">sign up</a> for an
    account. For more information about Paxos and our APIs, visit <a
    href="https://www.paxos.com/" target="_blank">Paxos.com</a>.</p>
  x-logo:
    url: /docs/paxos.svg
    backgroundColor: '#FFFFFF'
    altText: Paxos logo
servers:
  - url: https://api.paxos.com/v2
    description: Production
  - url: https://api.sandbox.paxos.com/v2
    description: Sandbox
security: []
tags:
  - name: Profiles
    description: >
      Profiles hold asset balances, and every Paxos transaction is on a
      particular profile.

      Depending on your integration type, Profiles may be used to reflect both
      corporate balances or individual user balances.

      There are two types of Profiles:

      - `DEFAULT` Profiles are system-generated.

      - `NORMAL` Profiles are created using the [Create
      Profile](#operation/CreateProfile) endpoint and are the only type of
      Profile you can create.
  - name: Quotes
    description: >
      Quotes are "held rates" offered by Paxos to buy or sell assets at a
      specific

      price within a period of time - for example, the option to buy BTC within

      the next 30 seconds for $8,000.


      The typical Quotes workflow is as follows:


      1. Call [List Quotes](#operation/ListQuotes) to get the latest available
         quoted prices for the assets you want to buy or sell.
      1. Present the offered price to one or more end-users, with a timer
         indicating the time to expiration.
      1. If a user accepts the price, call [Create Quote
      Execution](#operation/CreateQuoteExecution) with the amount to buy or
      sell.

      1. Call [Get Quote Execution](#operation/GetQuoteExecution) to monitor
         for completion and know when the funds from the execution are available.

      It's important to show end-users the latest available price. If you cache

      prices to show them to multiple users, you should refresh the cache once

      per second.


      You can call [List Quote Executions](#operation/ListQuoteExecutions) to

      review or construct reports on quote execution activity.
  - name: Quote Executions
    description: |
      Quote Executions buy or sell assets using a Quote obtained from
      the [Quotes](#tag/Quotes) flow.
  - name: Orders
    description: >
      <p>There are three types of orders: market, limit and post-only.</p>

      <p>Market orders guarantee execution at a variable price and quantity.
      Limit orders guarantee price and quantity at the time of execution but do
      not guarantee execution. Post-only is an order type that will only be
      placed on the order book if it is the maker side of a trade.</p>
  - name: Market Data
    description: >
      Market data provides various parameters of the order book and historical
      order data.
  - name: Pricing
    description: |
      Pricing provides historical data related to charting of asset prices.

      Note: Some Pricing API markets may be unavailable for trading.
  - name: Issuer Quotes
    description: >
      Issuer Quotes are "held rates" offered by Paxos to mint or redeem
      Paxos-issued assets at a specific price within a period of time - for
      example, the option to buy PAXG within the next 5 seconds for $3,000.


      The typical Issuer Quotes workflow is as follows:


      1. Call [Create Issuer Quote](#operation/CreateIssuerQuote) to get a quote
      for the asset you want to mint or redeem to a specific profile.

      1. Call [Create Issuer Quote
      Execution](#operation/CreateIssuerQuoteExecution) with the quote ID and
      profile ID.


      You can call [List Issuer Quote
      Executions](#operation/ListIssuerQuoteExecutions) to review or construct
      reports on issuer quote execution activity.
  - name: Identity
    description: >
      An Identity represents a person or institution who is able to take actions
      on the Paxos Platform. Depending on 

      your integration type you might not need to create Identities for your end
      users. 


      Identities must pass a set of verifications and checks before they're able
      to transact on the Platform. Learn more

      about getting started with Identity and managing their onboarding
      lifecycle in the [Identity Developer
      Guide](https://docs.paxos.com/identity).
  - name: Institution Members
    description: >
      Institution Members allow you to associate persons with an institution on
      our Platform.

      Each institution can have multiple members, with each member representing
      the relationship to a person identity.


      When creating an institution identity, you must designate at least one
      institution member.

      This requirement ensures we have complete information about the
      institution's ownership structure

      and key personnel, which is necessary to onboard institutions.
  - name: Accounts
    description: >
      Accounts connect Identities (persons or institutions) to Profiles (asset
      balances).

      Key features include:


      - **Balance Management**: Track and manage profile balances via
      [Subledgering](https://docs.paxos.com/crypto-brokerage/ledger-type#fiat-and-crypto-subledger)

      - **Joint Account Support**: Link multiple Identities to a single Account
      for shared on platform balance


      Accounts are required for all Identity API integrations.
  - name: Account Members
    description: >
      Account Members allow you to associate an Identity with an Account on our
      Platform.

      Each Account can be linked to multiple Identities, which supports Joint
      Accounts (where two Identities have the ability

      to transact against a single Profile)  


      Account members are effectively immutable. In order to update an account
      member,

      clients should remove then re-add the account member with the desired
      state.


      The API requires clients to have write access on the account and all
      identities

      associated with the account.
  - name: Identity Documents
    description: >
      The Identity Documents API allows clients to send documents to Paxos to
      validate identities

      during the KYC process. Files can be updated multiple times by re-sending
      the document type

      for processing.


      We currently accept the following file formats:

      - <code>pdf</code>

      - <code>jpg</code>

      - <code>png</code>


      Steps to upload a document are as follows:

      1. Send a <code>PUT</code> request to
      <code>/identity/identities/{id}/documents</code> to get
        the upload URL.
      1. Send your document to the provided URL via a PUT request. Take the
      following example using curl:
        <code>$ curl --upload-file Proof_of_residence.jpg $URI </code>

      Uploaded document metadata will be available via <code>GET</code> request
      to <code>/identity/identities/{id}/documents</code>
  - name: Fiat Transfers
    description: >
      The Fiat Transfers API allows clients to deposit and withdraw fiat via the
      following Fiat Networks: Wire (Fedwire and SWIFT) and CUBIX. The supported
      asset is USD.


      The full set of Fiat Transfers API endpoints is:

      - For Deposits:
        - [Create Fiat Deposit Instructions](#operation/CreateFiatDepositInstructions)
        - [List Fiat Deposit Instructions](#operation/ListFiatDepositInstructions)
        - [Get Fiat Deposit Instructions](#operation/GetFiatDepositInstructions)
      - For Withdrawals:
        - [Create Fiat Account](#operation/CreateFiatAccount)
        - [List Fiat Accounts](#operation/ListFiatAccounts)
        - [Get Fiat Account](#operation/GetFiatAccount)
        - [Delete Fiat Account](#operation/DeleteFiatAccount)
        - [Update Fiat Account](#operation/UpdateFiatAccount)
        - [Create Fiat Withdrawal](#operation/CreateFiatWithdrawal)
  - name: Stablecoin Conversion
    description: >
      <p>Convert between fiat and stablecoin using <a
      href="#operation/CreateStablecoinConversion">Create Stablecoin
      Conversion</a> and check the status of a <a
      href="#operation/GetStablecoinConversion">single conversion</a> or
      retrieve a <a href="#operation/ListStablecoinConversions">list of
      conversions</a>.</p>
    externalDocs:
      description: Learn more about stablecoin conversions →
      url: https://docs.paxos.com/developer/convert
  - name: Transfers
    description: |
      Each deposit to and withdrawal from a Paxos account is a Transfer.
      A Transfer is associated with a particular Profile, and increases or
      decreases the available balance of a single asset in that Profile.
  - name: Tax Forms
    description: >
      All tax forms are associated to a single account_id.

      An account_id can have multiple tax forms associated with it.

      US 1099-B and 1099-Misc tax forms for the previous fiscal year will be
      available in February of the current calendar year.

      Previous years tax forms are also available by request.
  - name: Crypto Deposits
    description: >
      For [Paxos Global PTE
      Ltd](https://help.paxos.com/hc/en-us/articles/9647005243284) users, update
      or reject a crypto deposit that does not contain the required [travel
      rule](https://help.paxos.com/hc/en-us/articles/25928845778068)
      information.

      Deposits with the `NEEDS_INFO` status require additional sender
      information before they can be processed.

      - For individuals, both first and last name are required.

      - For institutions, the institution name is required.


      If a deposit is rejected, the funds will no longer be available.
    externalDocs:
      description: Learn more about travel rule udpates →
      url: https://help.paxos.com/hc/en-us/articles/25422999706900
  - name: Settlement
    description: >
      Use the Settlements API to facilitate simultaneous exchange of pre-funded
      assets. Automate a variety of use cases that require two-party approval,
      including net settlement of over-the-counter trades, withdrawal requests
      for tri-party collateral, payment requests, and bilateral settlement for
      marketplace end users.


      The simple request-and-approval workflow supports both one-directional and
      bidirectional transactions to allow a user to receive an asset (for
      example, send USDP) or simultaneously send and receive assets (for
      example, send USD and receive BTC and ETH). Only when all parties are in
      agreement and assets are fully funded does the Settlements API allow for
      change of custody. Upon completion, all settled assets are immediately
      available for trading, transferring, withdrawal or other supported
      activities.


      The Source Profile initiates the transaction for the Target Profile to
      approve. The `DIRECTION` of each asset is always relative to the Source
      Profile and only the owner of the Source Profile can cancel a transaction
      if it hasn't been approved by the Target Profile.
    externalDocs:
      description: Learn more about the Settlement APIs →
      url: https://docs.paxos.com/settlements
  - name: Paxos Transfers
    description: >
      Move assets between two Entities belonging to the same Organization or to
      a different Organization on the Paxos platform.


      > Transferring USD between Entities is prohibited in some jurisdictions.
      Contact [Support](https://support.paxos.com/) if you run into any problems
      with this restriction.


      Ensure the destination
      [Profile](https://docs.paxos.com/dashboard/organization#profile) already
      exists before beginning the transfer. This may require contacting someone
      outside your Organization to get the destination Profile ID.
  - name: Monitoring Addresses
    description: >
      A Monitoring Address is a blockchain address that Paxos monitors daily for
      eligible stablecoin activity and determines the amount of rewards your
      organization will earn. We recommend adding any addresses you expect to
      hold, receive, or mint Paxos stablecoins as a monitoring address in order
      to receive rewards for all of your qualifying on-chain activity. 


      > Monitoring addresses must be added by month end (`23:59 UTC+0`) in order
      to earn rewards for that month. Addresses added after month end will start
      earning rewards for the following month.


      *These endpoints are only relevant for Global Dollar Network (GDN)
      partners.*
  - name: Payout Address
    description: >-
      Endpoints working with Payout Address. These endpoints are only relevant
      for Global Dollar Network (GDN) partners.
  - name: Statements
    description: >
      A Statement summarizes all eligible stablecoin rewards for a given
      organization over a fixed time period. It aggregates earned reward types
      (e.g., custody, mint, acceptance) and records whether the statement was
      paid.


      Statements are generated monthly and are immutable. Revised statements
      will be issued as a new statement with a unique ID. Statements can be used
      to reconcile balances or for accounting and accounts receivable purposes.


      *These endpoints are only relevant for Global Dollar Network (GDN)
      partners.*
  - name: Payments
    description: >
      Payments represent actual transfers of rewards to the payout address
      associated with a given statement. Payments are made on-chain to a
      specified payout address. Payments tie 1:1 with a statement amount.


      Use the `ref_id` to link payments to statements. 


      > Some fields (e.g., `account_id`, `profile_id`) are populated for
      consistency but are not relevant to reward-specific flows.


      *These endpoints are only relevant for Global Dollar Network (GDN)
      partners.*
  - name: Reward Addresses
    description: >
      Reward addresses are blockchain addresses registered for reward
      attribution.


      Custody Rewards: For EVM chains, Paxos registers these addresses on-chain
      for reward calculation and accrual in the token contract. For Solana,
      provide the **owner account** (not a token account) — Paxos will derive
      and register the associated token account on-chain for the given asset.
      Providing a token account will result in a derived address with no
      meaning. For other non-EVM chains, Paxos tracks on-chain activity for
      custody reward calculation.


      Non-Custody Rewards: Paxos tracks on-chain activity for these addresses to
      calculate and distribute non-custody rewards to your organization.


      *These endpoints are only relevant for whitelisted Rewards partners.*
  - name: Claims
    description: >
      Claims represent rewards paid out on-chain. Use claim schedules to
      automate daily reward claims.


      *These endpoints are only relevant for whitelisted Rewards partners.*
  - name: Payout Groups
    description: >
      Payout groups encapsulate common rewards characteristics. All monitored
      addresses that reference a payout group accumulate rewards at the same
      rate and claim to the payout destination specified for that group.


      *These endpoints are only relevant for whitelisted Rewards partners.*
  - name: Rewards
    description: >
      Rewards details including current reward rates, next accrual time,
      lifetime earned amounts, and estimated next accrual.


      *These endpoints are only relevant for whitelisted Rewards partners.*
  - name: API Credentials
    description: >
      API credentials allow programmatic access to Paxos APIs. These endpoints
      enable you to manage and view your API credentials.
  - name: Events
    description: >
      The Events API allows you to fetch events that occurred on the Paxos
      platform with the full event payload. This REST API can be used as part of
      your webhook integrations (including rebuilding your event history should
      your webhook consumer exceed its retries), or standalone by polling for
      events related to your identities.
  - name: Event Types
    description: >
      List of event types that can be delivered via webhooks. We may add
      additional event types at any time; your implementation should handle
      unexpected event types gracefully.
  - name: Event Objects
    description: >
      Object schemas that describe the structure of data that accompanies each
      event type.
paths:
  /markets/{market}/order-book:
    get:
      tags:
        - Market Data
      summary: Get Order Book
      description: >-
        Retrieves the full list of bids and asks of the order book at individual
        price levels with resting quantities per level.
      operationId: GetOrderBook
      parameters:
        - name: market
          description: Market of Order Book.
          in: path
          required: true
          schema:
            type: string
            enum:
              - ETHEUR
              - ETHSGD
              - ETHUSD
              - BTCEUR
              - BTCSGD
              - BTCUSD
              - PAXGUSD
              - BCHUSD
              - LTCUSD
              - USDPUSD
              - ETHBRL
              - BTCBRL
              - LTCBRL
              - BCHBRL
              - USDPGBP
              - USDPBRL
              - LINKUSD
              - AAVEUSD
              - UNIUSD
              - AAVEMXN
              - BCHMXN
              - BTCMXN
              - ETHMXN
              - LTCMXN
              - USDPMXN
              - AAVEEUR
              - BCHEUR
              - LTCEUR
              - LINKEUR
              - PAXGEUR
              - SOLEUR
              - USDPEUR
              - UNIEUR
              - PYUSDEUR
              - PEPEUSD
              - TRUMPUSD
              - SHIBUSD
              - ARBUSD
              - BONKUSD
              - ENAUSD
              - MNTUSD
              - ONDOUSD
              - PENGUUSD
              - QNTUSD
              - RENDERUSD
              - SKYUSD
              - WIFUSD
              - WLDUSD
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetOrderBookResponse'
              examples:
                response:
                  value:
                    market: BTCUSD
                    asks:
                      - price: '9240.25'
                        amount: '1.2341300'
                      - price: '9260.75'
                        amount: '0.8134231'
                    bids:
                      - price: '9220.50'
                        amount: '3.7441300'
                      - price: '9123.00'
                        amount: '0.2334231'
      deprecated: true
components:
  schemas:
    GetOrderBookResponse:
      properties:
        asks:
          description: All Asks.
          items:
            $ref: '#/components/schemas/BookLevel'
          type: array
        bids:
          description: All Bids.
          items:
            $ref: '#/components/schemas/BookLevel'
          type: array
        market:
          $ref: '#/components/schemas/Market'
      type: object
    BookLevel:
      type: object
      properties:
        price:
          type: string
          description: Price at level.
        amount:
          type: string
          description: Amount of orders at pricing level.
    Market:
      type: string
      enum:
        - ETHEUR
        - ETHSGD
        - ETHUSD
        - BTCEUR
        - BTCSGD
        - BTCUSD
        - PAXGUSD
        - BCHUSD
        - LTCUSD
        - USDPUSD
        - LINKUSD
        - AAVEUSD
        - UNIUSD
        - PEPEUSD
        - TRUMPUSD
        - SHIBUSD
        - ARBUSD
        - BONKUSD
        - ENAUSD
        - MNTUSD
        - ONDOUSD
        - PENGUUSD
        - QNTUSD
        - RENDERUSD
        - SKYUSD
        - WIFUSD
        - WLDUSD
      title: ''

````